Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 82549 - r-c-n crashes if isdn4k-utils isn't installed
Summary: r-c-n crashes if isdn4k-utils isn't installed
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-config-network
Version: phoebe
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579 81720
TreeView+ depends on / blocked
 
Reported: 2003-01-23 10:16 UTC by Panu Matilainen
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-04 16:10:45 UTC


Attachments (Terms of Use)

Description Panu Matilainen 2003-01-23 10:16:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030121

Description of problem:
If one configures an isdn profile and then try to activate it but dont have
isdn4k-utils installed r-c-n crashes with a python traceback. I think
redhat-config-network package should either require isdn4k-utils (the easy way
out :) or handle gracefully the situation (disable isdn activation if the utils
aren't present or something like that)

Version-Release number of selected component (if applicable): 1.1.20-1


How reproducible:
Always

Steps to Reproduce:
1. rpm -e isdn4k-utils
2. create an isdn-profile with redhat-config-network
3. try to activate the profile
    

Actual Results:  Component: redhat-config-network
Version: 1.1.90
Summary: TB
/usr/lib/python2.2/site-packages/rhpl/executil.py:209:gtkExecWithCaptureStatus:RuntimeError:
/usr/sbin/isdnup can not be run
Traceback (most recent call last):
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 763, in on_deviceActivateButton_clicked
    (status, txt) = intf.activate(device)
  File "/usr/sbin/../share/redhat-config-network/netconfpkg/Control.py", line
108, in activate
    catchfd = (1,2))
  File "/usr/lib/python2.2/site-packages/rhpl/executil.py", line 209, in
gtkExecWithCaptureStatus
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/sbin/isdnup can not be run


Expected Results:  It should tell the user the utilities aren't present .. or
something along those lines.

Additional info:

Comment 1 Harald Hoyer 2003-02-04 16:10:45 UTC
it now tells user the utilities aren't present ... 


Note You need to log in before you can comment on or make changes to this bug.